Bug 1142476 - staypuft needs to create ceph.conf on ceph storage/installer node
Summary: staypuft needs to create ceph.conf on ceph storage/installer node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z2
: Installer
Assignee: Brad P. Crochet
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-16 21:00 UTC by Crag Wolfe
Modified: 2014-11-04 17:02 UTC (History)
5 users (show)

Fixed In Version: ruby193-rubygem-staypuft-0.4.0-1.el6ost
Doc Type: Bug Fix
Doc Text:
Prior to this update, the ceph.conf file was not automatically created on Ceph nodes. Red Hat Enterprise Linux OpenStack Platform installer has been updated to correctly configure ceph.conf on the storage nodes. Consequently, users are no longer required to manually configure the ceph.conf file.
Clone Of:
Environment:
Last Closed: 2014-11-04 17:02:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1800 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Installer Bug Fix Advisory 2014-11-04 22:00:19 UTC

Description Crag Wolfe 2014-09-16 21:00:29 UTC
Description of problem:

Given an HA deployment that includes ceph, staypuft needs to write ceph.conf and keyring files on a ceph storage node.  These config files will then be used by the ceph installer to create the ceph cluster.

This is the same ceph.conf already deployed by Staypuft to the Controller and Compute nodes.

Comment 3 Brad P. Crochet 2014-09-30 12:28:08 UTC
PR submitted
https://github.com/theforeman/staypuft/pull/324

Comment 6 Alexander Chuzhoy 2014-10-09 16:46:10 UTC
Verified: 
openstack-puppet-modules-2014.1-22.1.el6ost.noarch
ruby193-rubygem-foreman_openstack_simplify-0.0.6-8.el6ost.noarch
openstack-foreman-installer-2.0.28-1.el6ost.noarch
rhel-osp-installer-0.4.2-1.el6ost.noarch

Verified that the /etc/ceph/ceph.conf and the keyring files get created on a host assigned to the "Ceph Storage Node (OSD)" role.

Comment 9 errata-xmlrpc 2014-11-04 17:02:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2014-1800.html


Note You need to log in before you can comment on or make changes to this bug.